# [@codemovie/code-movie](https://code.movie) - Declarative animated syntax highlighter

🔗 [Website](https://code.movie) | 🎲 [Online playground](https://code.movie/play.html) | 💬 [Discussion](https://github.com/orgs/CodeMovie/discussions/) | 🐛 [Bugs and feature requests](https://github.com/CodeMovie/meta/issues)

**Automatically turns code snippets into step-by-step animations** for the web. Lighting fast, no AI involved, no runtime JavaScript required. [Can be rendered into high-quality video.](https://code.movie/blog/animated-syntax-highlighting-4k-60-fps-edition.html) Currently supports **JavaScript** (with or without JSX), **TypeScript** (with or without JSX), **Elixir**, **Rust**, **HTML**, **CSS** and **JSON**.

React and TypeScript:

![Animated code showing React and TypeScript in action](https://code.movie/gifs/react.gif)

Rust (Rocket framework):

![Rust code using the rocket framework](https://code.movie/gifs/rust.gif)

HTML with embedded CSS and JS:

![HTML with embedded CSS and JS](https://code.movie/gifs/html.gif)
