# Styling

Styles for the HTML output are set with [CSS variables](https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties) that override defaults set by a theme object. You can set your own styles by either defining your own theme object or overriding the default theme's styles with CSS variables. The latter approach is much more powerful and flexible and should be used when possible.

- [**See the list of available CSS variables**](./CSS.md)
- [**Check out typographic edge cases**](./Typography.md) (CJK fullwidth characters and emoji)
- [**Learn about style hooks**](./Hooks.md)
- [**Learn about theme objects**](./Theme.md)
